Bug 63889 - kpersonalizer should honour LC_MESSAGES
kpersonalizer should honour LC_MESSAGES
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.3
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-20 09:58 EDT by Michael Redinger
Modified: 2007-03-26 23:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:31:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Redinger 2002-04-20 09:58:56 EDT
kpersonalizer uses LANG to decide which default country and language to use.

For the language, LC_MESSAGES should be used.

Eg. I'm using LANG="de_AT@euro" but set LANG="en_US" in /etc/sysconfig/i18n.
kpersonalizer now correctly offers Austria as country. However, it also sets
the default language to german.

KDE version:
kdebase-3.0.0-9



lang settings:
LANG=de_AT@euro
LC_CTYPE="de_AT@euro"
LC_NUMERIC="de_AT@euro"
LC_TIME="de_AT@euro"
LC_COLLATE="de_AT@euro"
LC_MONETARY="de_AT@euro"
LC_MESSAGES="en_US"
LC_PAPER="de_AT@euro"
LC_NAME="de_AT@euro"
LC_ADDRESS="de_AT@euro"
LC_TELEPHONE="de_AT@euro"
LC_MEASUREMENT="de_AT@euro"
LC_IDENTIFICATION="de_AT@euro"
LC_ALL=
Comment 1 Petr Rockai 2005-08-10 12:10:52 EDT
Please retry with current version of Fedora Core. Unless you followup on this   
bug, it will be considered fixed and will be closed at some point... Thank you   
for your time.  
Comment 2 Bill Nottingham 2006-10-18 13:31:52 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.